### Class

# GVnc BaseAudio

#### Description

    class GVnc.BaseAudio : GObject.Object
      implements GVnc.Audio {
      VncBaseAudioPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Implements

- VncAudio

#### Constructors

###### vnc_base_audio_new

Create a new generic VNC audio object, which will emit signals when key audio events occur. Callers can connect to these signals to provide playback facilities.

#### Instance methods

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from VncAudio (3)

###### vnc_audio_playback_data

Request playback of a single audio sample in `sample`.

###### vnc_audio_playback_start

Indicate that the remote desktop is about to start audio playback in format `format`.

###### vnc_audio_playback_stop

Indicate that the remote desktop has completed audio playback.

#### Signals

###### GVnc.BaseAudio::vnc-audio-playback-data

No description available.

###### GVnc.BaseAudio::vnc-audio-playback-start

No description available.

###### GVnc.BaseAudio::vnc-audio-playback-stop

No description available.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GVncBaseAudioClass {
      GObjectClass parent_class;
      gboolean (* playback_start) (
        VncBaseAudio* audio,
        VncAudioFormat* format
      );
      gboolean (* playback_stop) (
        VncBaseAudio* audio
      );
      gboolean (* playback_data) (
        VncBaseAudio* audio,
        VncAudioSample* sample
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`playback_start: gboolean (* playback_start) ( VncBaseAudio* audio, VncAudioFormat* format )`

  No description available.

`playback_stop: gboolean (* playback_stop) ( VncBaseAudio* audio )`

  No description available.

`playback_data: gboolean (* playback_data) ( VncBaseAudio* audio, VncAudioSample* sample )`

  No description available.

#### Virtual methods

###### GVnc.BaseAudioClass.playback_data

No description available.

###### GVnc.BaseAudioClass.playback_start

No description available.

###### GVnc.BaseAudioClass.playback_stop

No description available.